********************************************************************************
*                                                                              *
*  2DHF version 1-2003                                                         *
*  Copyright (C) 1996  Jacek Kobus, Leif Laaksonen, Dage Sundholm              *
*                                                                              *
*  This software may be used and distributed according to the terms            *
*  of the GNU General Public License, see README and COPYING.                  *
*                                                                              *
********************************************************************************
c ### plaguer ###		  	    
c
c
      function plaguer(n,l,cz,cr)
      implicit integer*4 (i-n)
      implicit real*8 (a-h,o-z)		

      np=n-l-1
      lp=2*l+2
      x=cz*cr/dble(n)
      plaguer=cr**dble(l)*exp(-x)*hypgf(-np,lp,x+x)		    

      return
      end
